Package de.gebit.integrity.serializer

## Class DSLSemanticSequencer

- java.lang.Object
- - org.eclipse.xtext.serializer.sequencer.AbstractSemanticSequencer
  - - org.eclipse.xtext.serializer.sequencer.AbstractDelegatingSemanticSequencer
    - - de.gebit.integrity.serializer.AbstractDSLSemanticSequencer
      - - de.gebit.integrity.serializer.DSLSemanticSequencer

- All Implemented Interfaces:
    `org.eclipse.xtext.serializer.sequencer.ISemanticSequencer`

      public class DSLSemanticSequencer
      extends AbstractDSLSemanticSequencer

  This autogenerated class is currently not used for any overrides/extensions.
  Author:
    Rene Schneider - initial API and implementation

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.xtext.serializer.sequencer.AbstractDelegatingSemanticSequencer

      `genericSequencer, genericSequencerProvider`

    - ### Fields inherited from class org.eclipse.xtext.serializer.sequencer.AbstractSemanticSequencer

      `diagnosticProvider, errorAcceptor, feederProvider, masterSequencer, nodeProvider, sequenceAcceptor, transientValues`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DSLSemanticSequencer()` |

  - ### Method Summary

    - ### Methods inherited from class de.gebit.integrity.serializer.AbstractDSLSemanticSequencer

      `sequence, sequence_ArbitraryParameterOrResultName, sequence_BooleanValue, sequence_Call, sequence_CallDefinition, sequence_Constant, sequence_ConstantDefinition, sequence_ConstantEntity, sequence_CustomOperation, sequence_DecimalValue, sequence_DocumentationComment, sequence_EmptyValue, sequence_EnumValue, sequence_EuropeanDateAnd12HrsTimeValue, sequence_EuropeanDateAnd24HrsTimeValue, sequence_EuropeanDateValue, sequence_ExecutionMultiplier, sequence_FixedParameterName, sequence_FixedResultName, sequence_ForkDefinition, sequence_ForkParameter, sequence_Import, sequence_InexistentValue, sequence_IntegerValue, sequence_IsoDateAndTimeValue, sequence_IsoDateValue, sequence_IsoTimeValue, sequence_JavaClassReference, sequence_JavaConstantReference, sequence_JavaConstantValue, sequence_KeyValuePair, sequence_MethodReference, sequence_Model, sequence_NamedCallResult, sequence_NamedResult, sequence_NestedObject, sequence_NullValue, sequence_OperationDefinition, sequence_PackageDefinition, sequence_Parameter, sequence_ParameterTableHeader, sequence_ParameterTableValue, sequence_RegexValue, sequence_ResultTableHeader, sequence_Simple12HrsTimeValue, sequence_Simple24HrsTimeValue, sequence_StandardOperation, sequence_StringValue, sequence_Suite, sequence_SuiteDefinition, sequence_SuiteParameter, sequence_SuiteParameterDefinition, sequence_SuiteReturn, sequence_SuiteReturnDefinition, sequence_TableTest, sequence_TableTestRow, sequence_Test, sequence_TestDefinition, sequence_TimeDifference, sequence_TimeProgressionFactor, sequence_TimeSet, sequence_TypedNestedObject, sequence_USDateAnd12HrsTimeValue, sequence_USDateValue, sequence_ValueOrEnumValueOrOperationCollection, sequence_Variable, sequence_VariableAssignment, sequence_VariableDefinition, sequence_VariableEntity, sequence_VariableVariable, sequence_VariantDefinition, sequence_VariantValue, sequence_VisibleDivider, sequence_VisibleMultiLineNormalComment, sequence_VisibleMultiLineTitleComment, sequence_VisibleSingleLineNormalComment, sequence_VisibleSingleLineTitleComment`

    - ### Methods inherited from class org.eclipse.xtext.serializer.sequencer.AbstractDelegatingSemanticSequencer

      `init`

    - ### Methods inherited from class org.eclipse.xtext.serializer.sequencer.AbstractSemanticSequencer

      `createContext, createNodeProvider, createSequence, createSequence, createSequencerFeeder, createSequencerFeeder, createSequencerFeeder, createSequencerFeeder, init, setMasterSequencer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DSLSemanticSequencer

          public DSLSemanticSequencer()